CFPRIME FLTINT                                                          FLTINT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE FLTINT(IEBK)                                           FLTINT      3
CD                                                                      FLTINT      4
CD    THIS SUBROUTINE INITIALIZES THE UNDER FREQUENCY LINE TRIPPING     FLTINT      5
CD    RELAY. IT ALSO SEARCHES THE REMOTE RELAY TABLES TO FIND THE       FLTINT      6
CD    INDICES OF THE REMOTE RELAYS FOR THIS RELAY.                      FLTINT      7
CD                                                                      FLTINT      8
CD                                                                      FLTINT      9
CD     LUFLTR          Starting position of IDATPT array  of UFLT       FLTINT     10
CD                     relay scheme, LUFLTR is in the common labelled   FLTINT     11
CD                     PT of include file CNPT.                         FLTINT     12
CD                                                                      FLTINT     13
CD     NUFLTR          Finishing position of IDATPT array of UFLT       FLTINT     14
CD                     relay scheme, NUFLTR is in common labelled AUTO  FLTINT     15
CD                     of include file CNAUTO.                          FLTINT     16
CD                                                                      FLTINT     17
CD     let k = k-th UFLT RELAY                                          FLTINT     18
CD                                                                      FLTINT     19
CD     N = IDATPT(k)    IDATPT is the array that stores the start       FLTINT     20
CD                      position of the K-TH UFLT relay scheme data     FLTINT     21
CD                                                                      FLTINT     22
CD                                                                      FLTINT     23
CD  IADATA(K+1)=ICD1RU  LOCAL RELAY TRIP STATUS                         FLTINT     24
CD                      = 1 RELAY NOT TRIPPED                           FLTINT     25
CD                      = 2 RELAY TRIPPED BREAKER STILL CLOSED          FLTINT     26
CD                      = 3 RELAY TRIPPED BREAKER TRIPPED,REMOTE        FLTINT     27
CD                          TRIPPING AND RECLOSING TIMER STARTED        FLTINT     28
CD                      = 4 LOCAL AND REMOTE TRIPPING COMPLETED,        FLTINT     29
CD                          LOCAL LINE NOT RECLOSED YET.                FLTINT     30
CD                      = 5 ALL TRIP AND RECLOSING ACTIVITIES COMPLETED FLTINT     31
CD                                                                      FLTINT     32
CD  IADATA(K+2)=IBUSRU  LEFT HAND SIDE BUS NUMBER                       FLTINT     33
CD                                                                      FLTINT     34
CD  IADATA(K+3)=JBUSRU  RIGHT HAND SIDE BUS NUMBER                      FLTINT     35
CD                                                                      FLTINT     36
CD  IADATA(K+4)=IPARRU  PARALLEL IDENTIFICATION FOR THE LINE            FLTINT     37
CD                                                                      FLTINT     38
CD  IADATA(K+5)=ICD3RU  =1 USE SIGNAL TO TRIP THE LINE                  FLTINT     39
CD                      =C OR 2 DO NOT TRIP THE LINE ;                  FLTINT     40
CD                         SIGNAL IS USED FOR REMOTE TRIPPING           FLTINT     41
CD                                                                      FLTINT     42
CD  IADATA(K+6)=ICD4RU  NUMBER OF REMOTE RELAY ATTACHED TO THE LOCAL    FLTINT     43
CD                      RELAY                                           FLTINT     44
CD                                                                      FLTINT     45
CD  IADATA(K+7)=NJSELI  FLAG FOR LINE MODEL                             FLTINT     46
CD                                                                      FLTINT     47
CD  ADATA(K+8)=FTRPRU   THRESHOLD VALUE OF THE BUS FREQUENCY IN HZ.     FLTINT     48
CD                                                                      FLTINT     49
CD  ADATA(K+9)=TRLYRU   REQUIRED DURATION FOR BUS FREQUENCY TO REMAIN   FLTINT     50
CD                      BELOW THRESHOLD VALUE OF A TRIP (IN CYCLES)     FLTINT     51
CD                                                                      FLTINT     52
CD  ADATA(K+10)=TIMERU  UNDER FREQUENCY RELAY TIMER                     FLTINT     53
CD                                                                      FLTINT     54
CD  ADATA(K+11)=TRPCRU  TIME DELAY FOR COMMUNICATION AND BREAKER        FLTINT     55
CD                                                                      FLTINT     56
CD  ADATA(K+12)=TRIPRU  REMOTE RELAY TRIP STATUS                        FLTINT     57
CD                                                                      FLTINT     58
CD  ADATA(K+13)=TRCLSE  TIME DELAY FOR RECLOSING                        FLTINT     59
CD                                                                      FLTINT     60
CD  ADATA(K+14)=RTIMER  TIMER FOR RECLOSING                             FLTINT     61
CD                                                                      FLTINT     62
CD  ADATA(K+15)=WNOWRU  BUS FREQUENCY DEVIATION                         FLTINT     63
CD                      NOTE: BUS FREQUENCY IS CALCULATED USING THE     FLTINT     64
CD                            LEFT HAND SIDE BUS INFORMATION.           FLTINT     65
CD                                                                      FLTINT     66
CD  ADATA(K+16)=EIRU    REAL PART OF THE BUS VOLTAGE AT THE PREVIOUS    FLTINT     67
CD                      TIME STEP                                       FLTINT     68
CD                                                                      FLTINT     69
CD  ADATA(K+17)=FIRU    IMAGINARY PART OF THE BUS VOLTAGE AT THE        FLTINT     70
CD                      PREVIOUS TIME STEP                              FLTINT     71
CD                                                                      FLTINT     72
CD                                                                      FLTINT     73
      INCLUDE 'PARX.INS'                                                FLTINT     74
      INCLUDE 'CNPT.INS'                                                FLTINT     75
      INCLUDE 'CNAUTO.INS'                                              FLTINT     76
      INCLUDE 'CNNNEW.INS'                                              FLTINT     77
      INCLUDE 'CNIPTR.INS'                                              FLTINT     78
      INCLUDE 'CNSTN.INS'                                               FLTINT     79
      INCLUDE 'CNB19.INS'                                               FLTINT     80
      INCLUDE 'CNUNIT.INS'                                              FLTINT     81
      INCLUDE 'CNLFDA.INS'                                              FLTINT     82
      INCLUDE 'CNVOLT.INS'                                              FLTINT     83
      INCLUDE 'CNFLAG.INS'                                              FLTINT     84
      INCLUDE 'CNMSG.INS'                                               FLTINT     85
C                                                                       FLTINT     86
      CHARACTER*2 ISCKT,JTYPE(6),CTYPE,R1,R2,R3                         FLTINT     87
      CHARACTER*132 CARD                                                FLTINT     88
      CHARACTER*2 CID,SID                                               FLTINT     89
C                                                                       FLTINT     90
      COMPLEX VOLTK                                                     FLTINT     91
      DIMENSION VOLTX(2),TDATA(28)                                      FLTINT     92
      EQUIVALENCE (VOLTK,VOLTX(1)),(VOLTX(1),VREAL),(VOLTX(2),VIMAG)    FLTINT     93
C                                                                       FLTINT     94
      DATA ANGCON/57.29578/                                             FLTINT     95
      DATA R1/'R1'/,R2/'R2'/,R3/'R3'/                                   FLTINT     96
      DATA JTYPE/'UF','UV','UD','U1','U2','U3'/                         FLTINT     97
C                                                                       FLTINT     98
      LDEB=(JDEB(17).NE.0)                                              FLTINT     99
C                                                                       FLTINT    100
C     REORDER BUS NUMBERS IN UNDER FREQUENCY LINE TRIP RELAY TABLE      FLTINT    101
C                                                                       FLTINT    102
      IEBK=0                                                            FLTINT    103
      DO 100 I=LUFLTR,NUFLTR                                            FLTINT    104
C                                                                       FLTINT    105
      K=IDATPT(I)                                                       FLTINT    106
C                                                                       FLTINT    107
      IF(IADATA(K+1).GT.9)GOTO 100                                      FLTINT    108
      NLFI=IADATA(K+2)                                                  FLTINT    109
      NLFJ=IADATA(K+3)                                                  FLTINT    110
      NPROGI=NNEW(NLFI)                                                 FLTINT    111
      IF(NPROGJ.GT.0)THEN                                               FLTINT    112
        NPROGJ=NNEW(NLFJ)                                               FLTINT    113
      ELSE                                                              FLTINT    114
        IADATA(K+5)=2                                                   FLTINT    115
        NPROGJ=0                                                        FLTINT    116
      ENDIF                                                             FLTINT    117
      IADATA(K+1)=1                                                     FLTINT    118
      IADATA(K+2)=NPROGI                                                FLTINT    119
      IADATA(K+3)=NPROGJ                                                FLTINT    120
      NI3=NPROGI*3                                                      FLTINT    121
      NJ3=NPROGJ*3                                                      FLTINT    122
      ICID=IADATA(K+4)                                                  FLTINT    123
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    124
      IDRRR=IADATA(K+6)                                                 FLTINT    125
      IADATA(K+7)=0                                                     FLTINT    126
C                                                                       FLTINT    127
      IF(NPROGJ.NE.0)THEN                                               FLTINT    128
C                                                                       FLTINT    129
      CALL LOLINE(NPROGI,NPROGJ,CID,JNL)                                FLTINT    130
      IF(JNL.EQ.0)THEN                                                  FLTINT    131
       IEBK=1                                                           FLTINT    132
       WRITE(MSG(1),8540)NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3)      FLTINT    133
       WRITE(MSG(2),8560)NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3)      FLTINT    134
       CALL PRTMSG(2)                                                   FLTINT    135
       GOTO 100                                                         FLTINT    136
      ELSE                                                              FLTINT    137
C                                                                       FLTINT    138
C   LINE EXISTS ,STORE THE PI-LINE FLAG                                 FLTINT    139
C                                                                       FLTINT    140
       JNL5=IABS(JNL)                                                   FLTINT    141
       ITFK=LFTB(JNL5-4)                                                FLTINT    142
       CALL UNPACK(CID,NJSELI,ITFK)                                     FLTINT    143
       IADATA(K+7)=NJSELI                                               FLTINT    144
      ENDIF                                                             FLTINT    145
C                                                                       FLTINT    146
      ENDIF                                                             FLTINT    147
C                                                                       FLTINT    148
C    CONVERT CYCLE INTO SEC.                                            FLTINT    149
C                                                                       FLTINT    150
      ADATA(K+9)=ADATA(K+9)/FQBASE                                      FLTINT    151
      ADATA(K+11)=ADATA(K+11)/FQBASE                                    FLTINT    152
      ADATA(K+13)=ADATA(K+13)/FQBASE                                    FLTINT    153
C                                                                       FLTINT    154
C     INITIALIZE DELTA OMEGA IN RAD/SEC AND STORE THE VOLTAGE           FLTINT    155
C                                                                       FLTINT    156
      ADATA(K+8)=-6.283185*(1.-ADATA(K+8)/FQBASE)                       FLTINT    157
C                                                                       FLTINT    158
      ADATA(K+10)=-1.0                                                  FLTINT    159
      IADATA(K+12)=0                                                    FLTINT    160
      ADATA(K+14)=-1.0                                                  FLTINT    161
      ADATA(K+15)=0.0                                                   FLTINT    162
      VOLTK=VOLT(NPROGI)                                                FLTINT    163
      ADATA(K+16)=VREAL                                                 FLTINT    164
      ADATA(K+17)=VIMAG                                                 FLTINT    165
C                                                                       FLTINT    166
C     IF THE NO. OF REMOTE TRIPPING SCHEME IS NON-ZERO THEN             FLTINT    167
C                                                                       FLTINT    168
      IF(IDRRR.NE.0)THEN                                                FLTINT    169
       KSHIFT=K+17                                                      FLTINT    170
       CALL REMINT(KSHIFT,IDRRR)                                        FLTINT    171
      ENDIF                                                             FLTINT    172
C                                                                       FLTINT    173
  100 CONTINUE                                                          FLTINT    174
C                                                                       FLTINT    175
      RETURN                                                            FLTINT    176
C  -----------------------------------------------------                FLTINT    177
      ENTRY TRELAY(IUY)                                                 FLTINT    178
CD                                                                      FLTINT    179
CD    TO TABULATE RELAY DATA AT THE USER'S REQUEST.                     FLTINT    180
CD                                                                      FLTINT    181
      IF(NUFLTR.EQ.0) GOTO 200                                          FLTINT    182
      IIL=60                                                            FLTINT    183
      DO 150 I=LUFLTR,NUFLTR                                            FLTINT    184
      K=IDATPT(I)                                                       FLTINT    185
      IF(IADATA(K+1).GT.9)GOTO 150                                      FLTINT    186
      NPROGI=IADATA(K+2)                                                FLTINT    187
      NPROGJ=IADATA(K+3)                                                FLTINT    188
      NLFI =NOLD(NPROGI)                                                FLTINT    189
      NLFJ =NOLD(NPROGJ)                                                FLTINT    190
      NI3=NPROGI*3                                                      FLTINT    191
      NJ3=NPROGJ*3                                                      FLTINT    192
      ICID=IADATA(K+4)                                                  FLTINT    193
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    194
C                                                                       FLTINT    195
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    196
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    197
C                                                                       FLTINT    198
      IF(IIL.GE.58)THEN                                                 FLTINT    199
         WRITE(IUY,8000)                                                FLTINT    200
         IIL=5                                                          FLTINT    201
      ENDIF                                                             FLTINT    202
      WRITE(IUY,8020) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ,   FLTINT    203
     * INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,ADATA(K+8),             FLTINT    204
     * ADATA(K+9)*FQBASE,ADATA(K+11)*FQBASE,ADATA(K+13)*FQBASE          FLTINT    205
      IIL=IIL+1                                                         FLTINT    206
  150 CONTINUE                                                          FLTINT    207
C                                                                       FLTINT    208
  200 IF(NGUFRE.EQ.0) GOTO 300                                          FLTINT    209
      IIL=60                                                            FLTINT    210
      DO 250 L=LGUFRE,NGUFRE                                            FLTINT    211
      K=IDATPT(L)                                                       FLTINT    212
      IF(IADATA(K+1).GT.9)GOTO 250                                      FLTINT    213
      NPROG=IADATA(K+3)                                                 FLTINT    214
      NLF=NOLD(NPROG)                                                   FLTINT    215
      ICID=IADATA(K+4)                                                  FLTINT    216
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    217
      N3=NPROG*3                                                        FLTINT    218
      IF(IIL.GE.58)THEN                                                 FLTINT    219
         WRITE(IUY,8040)                                                FLTINT    220
         IIL=5                                                          FLTINT    221
      ENDIF                                                             FLTINT    222
      WRITE(IUY,8060) NLF,INAME(N3-2),INAME(N3-1),INAME(N3),CID         FLTINT    223
     *,ADATA(K+5)*FQBASE,ADATA(K+7)*FQBASE                              FLTINT    224
     *,ADATA(K+6)*FQBASE,ADATA(K+8)*FQBASE                              FLTINT    225
      IIL=IIL+1                                                         FLTINT    226
  250 CONTINUE                                                          FLTINT    227
C                                                                       FLTINT    228
  300 IF(NDISTR.EQ.0) GOTO 400                                          FLTINT    229
      IIL=60                                                            FLTINT    230
C                                                                       FLTINT    231
C NEED TO CONVERT BACK FOR PRINTING                                     FLTINT    232
C                                                                       FLTINT    233
      DO 350 I=LDISTR,NDISTR                                            FLTINT    234
      K=IDATPT(I)                                                       FLTINT    235
      IF(IADATA(K+1).GT.9)GOTO 350                                      FLTINT    236
      NPROGI=IADATA(K+2)                                                FLTINT    237
      NPROGJ=IADATA(K+3)                                                FLTINT    238
      NLFI=NOLD(NPROGI)                                                 FLTINT    239
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    240
      NI3=NPROGI*3                                                      FLTINT    241
      NJ3=NPROGJ*3                                                      FLTINT    242
      ICID=IADATA(K+4)                                                  FLTINT    243
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    244
      IOPT=IADATA(K+6)                                                  FLTINT    245
C                                                                       FLTINT    246
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    247
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    248
C                                                                       FLTINT    249
      IF(IIL.GE.58)THEN                                                 FLTINT    250
         WRITE(IUY,8080)                                                FLTINT    251
         IIL=6                                                          FLTINT    252
      ENDIF                                                             FLTINT    253
      TRCRD=ADATA(K+9)                                                  FLTINT    254
      TXCRD=ADATA(K+10)                                                 FLTINT    255
      TRD2RD=ADATA(K+11)                                                FLTINT    256
      TTRPRD=ADATA(K+12)                                                FLTINT    257
      BRCRD=ADATA(K+14)                                                 FLTINT    258
      BXCRD=ADATA(K+15)                                                 FLTINT    259
      BRD2RD=ADATA(K+16)                                                FLTINT    260
      BTRPRD=ADATA(K+17)*FQBASE                                         FLTINT    261
      TRCLSE=ADATA(K+19)*FQBASE                                         FLTINT    262
      IF(IOPT.EQ.1)THEN                                                 FLTINT    263
         TRCRD=SQRT(TRCRD*TRCRD+TXCRD*TXCRD)                            FLTINT    264
         IF(TRCRD.GT.0.0.OR.TRCRD.LT.0.0)                               FLTINT    265
     *      TXCRD=ASIN(TXCRD/TRCRD)*180/3.14159                         FLTINT    266
         TRD2RD=SQRT(TRD2RD)*2                                          FLTINT    267
         TTRPRD=TTRPRD*FQBASE                                           FLTINT    268
         BRCRD=SQRT(BRCRD*BRCRD+BXCRD*BXCRD)                            FLTINT    269
         IF(BRCRD.GT.0.0.OR.BRCRD.LT.0.0)                               FLTINT    270
     *      BXCRD=ASIN(BXCRD/BRCRD)*180/3.14159                         FLTINT    271
         BRD2RD=SQRT(BRD2RD)*2                                          FLTINT    272
      ENDIF                                                             FLTINT    273
      WRITE(IUY,8100) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ,   FLTINT    274
     *INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,IOPT                     FLTINT    275
     *,TRCRD,TXCRD,TRD2RD,TTRPRD,BRCRD,BXCRD,BRD2RD,BTRPRD,TRCLSE       FLTINT    276
      IIL=IIL+1                                                         FLTINT    277
  350 CONTINUE                                                          FLTINT    278
C                                                                       FLTINT    279
  400 IF(NVDLDR.EQ.0) GOTO 500                                          FLTINT    280
      IIL=60                                                            FLTINT    281
      DO 450 J=LVDLDR,NVDLDR                                            FLTINT    282
      K=IDATPT(J)                                                       FLTINT    283
      IF(IADATA(K+1).GT.9)GOTO 450                                      FLTINT    284
      NPROG=IADATA(K+2)                                                 FLTINT    285
      NLF=NOLD(NPROG)                                                   FLTINT    286
      N3=NPROG*3                                                        FLTINT    287
      IF(IIL.GE.58)THEN                                                 FLTINT    288
      WRITE(IUY,8120)                                                   FLTINT    289
      IIL=5                                                             FLTINT    290
      ENDIF                                                             FLTINT    291
      WRITE(IUY,8140) NLF,INAME(N3-2),INAME(N3-1),INAME(N3)             FLTINT    292
     *,IADATA(K+3),ADATA(K+7),ADATA(K+8)*FQBASE,                        FLTINT    293
     * ADATA(K+9),ADATA(K+10),ADATA(K+11)*FQBASE                        FLTINT    294
      IIL=IIL+1                                                         FLTINT    295
  450 CONTINUE                                                          FLTINT    296
C                                                                       FLTINT    297
  500 IF(NSCGRE.EQ.0) GOTO 600                                          FLTINT    298
      IIL=60                                                            FLTINT    299
      DO 550 I=LSCGRE,NSCGRE                                            FLTINT    300
      K=IDATPT(I)                                                       FLTINT    301
      IF(IADATA(K+1).GT.9)GOTO 550                                      FLTINT    302
      NPROGI=IADATA(K+2)                                                FLTINT    303
      NPROGJ=IADATA(K+3)                                                FLTINT    304
      NLFI=NOLD(NPROGI)                                                 FLTINT    305
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    306
      NI3=NPROGI*3                                                      FLTINT    307
      NJ3=NPROGJ*3                                                      FLTINT    308
      ICID=IADATA(K+4)                                                  FLTINT    309
      ISID=IADATA(K+5)                                                  FLTINT    310
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    311
      CALL UNPACK(SID,JJJ,ISID)                                         FLTINT    312
C                                                                       FLTINT    313
C   CODE TO BE ADDED TO PRINT RELAY DATA & ACTION RELAY TABLES          FLTINT    314
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    315
C                                                                       FLTINT    316
      IF(IIL.GE.58)THEN                                                 FLTINT    317
      WRITE(IUY,8160)                                                   FLTINT    318
      IIL=5                                                             FLTINT    319
      ENDIF                                                             FLTINT    320
      WRITE(IUY,8180) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ,   FLTINT    321
     * INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,SID,ADATA(K+9),         FLTINT    322
     * ADATA(K+10),ADATA(K+11)*FQBASE,ADATA(K+12)*FQBASE,               FLTINT    323
     * ADATA(K+17)*FQBASE,IADATA(K+6)                                   FLTINT    324
      IIL=IIL+1                                                         FLTINT    325
  550 CONTINUE                                                          FLTINT    326
C                                                                       FLTINT    327
  600 IF(NUFREQ.EQ.0) GOTO 700                                          FLTINT    328
      IIL=60                                                            FLTINT    329
      DO 650 J=LUFREQ,NUFREQ                                            FLTINT    330
      K=IDATPT(J)                                                       FLTINT    331
      IF(IADATA(K+3).GT.9)GOTO 650                                      FLTINT    332
      NPROG=IADATA(K+1)                                                 FLTINT    333
      NLF=NOLD(NPROG)                                                   FLTINT    334
      N3=NPROG*3                                                        FLTINT    335
      IF(IIL.GE.58)THEN                                                 FLTINT    336
      WRITE(IUY,8200)                                                   FLTINT    337
      IIL=7                                                             FLTINT    338
      ENDIF                                                             FLTINT    339
      WRITE(IUY,8220) NLF,INAME(N3-2),INAME(N3-1),INAME(N3)             FLTINT    340
     *,ADATA(K+16),ADATA(K+17),ADATA(K+15)*FQBASE,                      FLTINT    341
     * (ADATA(K+LL),LL=19,26)                                           FLTINT    342
      IIL=IIL+1                                                         FLTINT    343
  650 CONTINUE                                                          FLTINT    344
C                                                                       FLTINT    345
C   PRINT LOAD SHEDDING SCHEME DATA                                     FLTINT    346
C                                                                       FLTINT    347
  700 IF(NUFVDB.EQ.0) GOTO 850                                          FLTINT    348
      IIL=60                                                            FLTINT    349
      DO 800 I=LUFVDB,NUFVDB                                            FLTINT    350
      K=IDATPT(I)-1                                                     FLTINT    351
      IF(IADATA(K+8).GT.9)GOTO 800                                      FLTINT    352
      NSCHEM=IADATA(K+1)                                                FLTINT    353
      NPROG=IADATA(K+2)                                                 FLTINT    354
      NLF=NOLD(NPROG)                                                   FLTINT    355
C                                                                       FLTINT    356
      K=K+9                                                             FLTINT    357
      N3=NPROG*3                                                        FLTINT    358
C                                                                       FLTINT    359
C    FOR NSCHEME                                                        FLTINT    360
C                                                                       FLTINT    361
      DO 805 J=1,NSCHEM                                                 FLTINT    362
      ITYPE=IADATA(K+1)                                                 FLTINT    363
      CTYPE=JTYPE(ITYPE)                                                FLTINT    364
C                                                                       FLTINT    365
      LEVELS=IADATA(K+2)                                                FLTINT    366
      ISOPT=IADATA(K+3)                                                 FLTINT    367
      KK=0                                                              FLTINT    368
      K=K+4                                                             FLTINT    369
      DO 750 L=1,LEVELS                                                 FLTINT    370
      K=K+6                                                             FLTINT    371
      KK=KK+4                                                           FLTINT    372
      TDATA(KK-3)=ADATA(K-5)                                            FLTINT    373
      TDATA(KK-2)=ADATA(K-4)*FQBASE                                     FLTINT    374
      TDATA(KK-1)=ADATA(K-3)*FQBASE                                     FLTINT    375
      TDATA(KK)=ADATA(K-2)                                              FLTINT    376
  750 CONTINUE                                                          FLTINT    377
C                                                                       FLTINT    378
      IF(IIL.GE.58)THEN                                                 FLTINT    379
         WRITE(IUY,8240)                                                FLTINT    380
         IIL=7                                                          FLTINT    381
      ENDIF                                                             FLTINT    382
      WRITE(IUY,8260) NLF,INAME(N3-2),INAME(N3-1),INAME(N3),CTYPE,ISOPT FLTINT    383
     *,(TDATA(LL),LL=1,KK)                                              FLTINT    384
      IIL=IIL+1                                                         FLTINT    385
  805 CONTINUE                                                          FLTINT    386
  800 CONTINUE                                                          FLTINT    387
C                                                                       FLTINT    388
  850 IF(NRCPRA.EQ.0) GOTO 950                                          FLTINT    389
      IIL=60                                                            FLTINT    390
      DO 900 I=LRCPRA,NRCPRA                                            FLTINT    391
      K=IDATPT(I)                                                       FLTINT    392
      IF(IADATA(K+1).GT.9)GOTO 900                                      FLTINT    393
      NPROGI=IADATA(K+2)                                                FLTINT    394
      NPROGJ=IADATA(K+3)                                                FLTINT    395
      NLFI=NOLD(NPROGI)                                                 FLTINT    396
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    397
      NI3=NPROGI*3                                                      FLTINT    398
      NJ3=NPROGJ*3                                                      FLTINT    399
      ICID=IADATA(K+4)                                                  FLTINT    400
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    401
      ITYPE=IADATA(K+5)                                                 FLTINT    402
       IF(ITYPE.EQ.5)ISCKT=R1                                           FLTINT    403
       IF(ITYPE.EQ.6)ISCKT=R2                                           FLTINT    404
       IF(ITYPE.EQ.7)ISCKT=R3                                           FLTINT    405
C                                                                       FLTINT    406
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    407
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    408
C                                                                       FLTINT    409
      IF(IIL.GE.58)THEN                                                 FLTINT    410
      WRITE(IUY,8280)                                                   FLTINT    411
      IIL=6                                                             FLTINT    412
      ENDIF                                                             FLTINT    413
      WRITE(IUY,8300) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ,   FLTINT    414
     * INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,ISCKT,ADATA(K+8),       FLTINT    415
     * ADATA(K+9),ADATA(K+10),ADATA(K+11),ADATA(K+12),ADATA(K+13),      FLTINT    416
     * ADATA(K+14)*FQBASE,ADATA(K+15)*FQBASE,                           FLTINT    417
     * ADATA(K+18)*FQBASE,ADATA(K+25)*FQBASE                            FLTINT    418
      IIL=IIL+1                                                         FLTINT    419
  900 CONTINUE                                                          FLTINT    420
C                                                                       FLTINT    421
  950 IF(NDPDA.EQ.0) GOTO 1100                                          FLTINT    422
      IIL=60                                                            FLTINT    423
      DO 1000 I=LDPDA,NDPDA                                             FLTINT    424
      K=IDATPT(I)                                                       FLTINT    425
      IF(IADATA(K+1).GT.9)GOTO 1000                                     FLTINT    426
      NPROGI=IADATA(K+2)                                                FLTINT    427
      NPROGJ=IADATA(K+3)                                                FLTINT    428
      NPROGK=IADATA(K+5)                                                FLTINT    429
      NLFI=NOLD(NPROGI)                                                 FLTINT    430
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    431
      NLFK=NOLD(NPROGK)                                                 FLTINT    432
      NI3=NPROGI*3                                                      FLTINT    433
      NJ3=NPROGJ*3                                                      FLTINT    434
      NK3=NPROGK*3                                                      FLTINT    435
      ICID=IADATA(K+4)                                                  FLTINT    436
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    437
C                                                                       FLTINT    438
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    439
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    440
C                                                                       FLTINT    441
      IF(IIL.GE.58)THEN                                                 FLTINT    442
      WRITE(IUY,8320)                                                   FLTINT    443
      IIL=6                                                             FLTINT    444
      ENDIF                                                             FLTINT    445
      WRITE(IUY,8340) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    446
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,NLFK,INAME(NK3-2)       FLTINT    447
     *,INAME(NK3-1),INAME(NK3),IADATA(K+6),ADATA(K+8),ADATA(K+9)*BASPC  FLTINT    448
     *,ADATA(K+10)*BASPC,ADATA(K+11),ADATA(K+12)*FQBASE                 FLTINT    449
      IIL=IIL+1                                                         FLTINT    450
 1000 CONTINUE                                                          FLTINT    451
C                                                                       FLTINT    452
      IIL=60                                                            FLTINT    453
      DO 1050 I=LDPDA,NDPDA                                             FLTINT    454
      K=IDATPT(I)                                                       FLTINT    455
      IF(IADATA(K+1).GT.9)GOTO 1050                                     FLTINT    456
      NPROGI=IADATA(K+2)                                                FLTINT    457
      NPROGJ=IADATA(K+3)                                                FLTINT    458
      NLFI=NOLD(NPROGI)                                                 FLTINT    459
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    460
      NI3=NPROGI*3                                                      FLTINT    461
      NJ3=NPROGJ*3                                                      FLTINT    462
      ICID=IADATA(K+4)                                                  FLTINT    463
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    464
C                                                                       FLTINT    465
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    466
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    467
C                                                                       FLTINT    468
      IF(IIL.GE.58)THEN                                                 FLTINT    469
         WRITE(IUY,8360)                                                FLTINT    470
         IIL=6                                                          FLTINT    471
      ENDIF                                                             FLTINT    472
      WRITE(IUY,8380) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    473
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,ADATA(K+13)             FLTINT    474
     *,ADATA(K+14)*BASPC,ADATA(K+15)*BASPC,ADATA(K+16)                  FLTINT    475
     *,ADATA(K+17)*FQBASE,ADATA(K+19)*FQBASE,ADATA(K+20)*FQBASE         FLTINT    476
      IIL=IIL+1                                                         FLTINT    477
 1050 CONTINUE                                                          FLTINT    478
C                                                                       FLTINT    479
 1100 IF(NDLSO.EQ.0) GOTO 1200                                          FLTINT    480
      IIL=60                                                            FLTINT    481
      DO 1150 I=LDLSO,NDLSO                                             FLTINT    482
      K=IDATPT(I)                                                       FLTINT    483
      IF(IADATA(K+1).GT.9)GOTO 1150                                     FLTINT    484
      NPROGI=IADATA(K+2)                                                FLTINT    485
      NPROGJ=IADATA(K+3)                                                FLTINT    486
      NLFI=NOLD(NPROGI)                                                 FLTINT    487
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    488
      NI3=NPROGI*3                                                      FLTINT    489
      NJ3=NPROGJ*3                                                      FLTINT    490
      ICID=IADATA(K+4)                                                  FLTINT    491
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    492
C                                                                       FLTINT    493
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    494
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    495
C                                                                       FLTINT    496
      IF(IIL.GE.58)THEN                                                 FLTINT    497
      WRITE(IUY,8400)                                                   FLTINT    498
      IIL=6                                                             FLTINT    499
      ENDIF                                                             FLTINT    500
      WRITE(IUY,8420) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    501
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,IADATA(K+6)             FLTINT    502
     *,(ADATA(K+L),L=8,12),ADATA(K+13)*FQBASE,ADATA(K+14)*FQBASE        FLTINT    503
      IIL=IIL+1                                                         FLTINT    504
 1150 CONTINUE                                                          FLTINT    505
C                                                                       FLTINT    506
 1200 IF(NSLBOR.EQ.0) GOTO 1350                                         FLTINT    507
      IIL=60                                                            FLTINT    508
      DO 1250 I=LSLBOR,NSLBOR                                           FLTINT    509
      K=IDATPT(I)                                                       FLTINT    510
      IF(IADATA(K+1).GT.9)GOTO 1250                                     FLTINT    511
      NPROGI=IADATA(K+2)                                                FLTINT    512
      NPROGJ=IADATA(K+3)                                                FLTINT    513
      NLFI=NOLD(NPROGI)                                                 FLTINT    514
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    515
      NI3=NPROGI*3                                                      FLTINT    516
      NJ3=NPROGJ*3                                                      FLTINT    517
      ICID=IADATA(K+4)                                                  FLTINT    518
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    519
C                                                                       FLTINT    520
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    521
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    522
C                                                                       FLTINT    523
      IF(IIL.GE.58)THEN                                                 FLTINT    524
      WRITE(IUY,8440)                                                   FLTINT    525
      IIL=6                                                             FLTINT    526
      ENDIF                                                             FLTINT    527
      WRITE(IUY,8460) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    528
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,IADATA(K+5)             FLTINT    529
     *,IADATA(K+6),ADATA(K+8)*FQBASE,ADATA(K+9)*ANGCON,ADATA(K+10)      FLTINT    530
     *,ADATA(K+11),ADATA(K+12)*ANGCON,ADATA(K+13),ADATA(K+14)           FLTINT    531
      IIL=IIL+1                                                         FLTINT    532
 1250 CONTINUE                                                          FLTINT    533
C                                                                       FLTINT    534
      IIL=60                                                            FLTINT    535
      DO 1300 I=LSLBOR,NSLBOR                                           FLTINT    536
      K=IDATPT(I)                                                       FLTINT    537
      IF(IADATA(K+1).GT.9)GOTO 1300                                     FLTINT    538
      NPROGI=IADATA(K+2)                                                FLTINT    539
      NPROGJ=IADATA(K+3)                                                FLTINT    540
      NLFI=NOLD(NPROGI)                                                 FLTINT    541
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    542
      NI3=NPROGI*3                                                      FLTINT    543
      NJ3=NPROGJ*3                                                      FLTINT    544
      ICID=IADATA(K+4)                                                  FLTINT    545
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    546
C                                                                       FLTINT    547
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    548
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    549
C                                                                       FLTINT    550
      IF(IIL.GE.58)THEN                                                 FLTINT    551
         WRITE(IUY,8480)                                                FLTINT    552
         IIL=6                                                          FLTINT    553
      ENDIF                                                             FLTINT    554
      WRITE(IUY,8380) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    555
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,ADATA(K+15)             FLTINT    556
     *,ADATA(K+16)*FQBASE,ADATA(K+17),ADATA(K+18),ADATA(K+20)*ANGCON    FLTINT    557
     *,ADATA(K+21),ADATA(K+22),ADATA(K+23)*ANGCON                       FLTINT    558
      IIL=IIL+1                                                         FLTINT    559
 1300 CONTINUE                                                          FLTINT    560
C                                                                       FLTINT    561
 1350 IF(NDCOSR.EQ.0) GOTO 1500                                         FLTINT    562
      IIL=60                                                            FLTINT    563
      DO 1400 I=LDCOSR,NDCOSR                                           FLTINT    564
      K=IDATPT(I)                                                       FLTINT    565
      IF(IADATA(K+1).GT.9)GOTO 1400                                     FLTINT    566
      NPROGI=IADATA(K+2)                                                FLTINT    567
      NPROGJ=IADATA(K+3)                                                FLTINT    568
      NLFI=NOLD(NPROGI)                                                 FLTINT    569
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    570
      NI3=NPROGI*3                                                      FLTINT    571
      NJ3=NPROGJ*3                                                      FLTINT    572
      ICID=IADATA(K+4)                                                  FLTINT    573
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    574
C                                                                       FLTINT    575
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    576
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    577
C                                                                       FLTINT    578
      IF(IIL.GE.58)THEN                                                 FLTINT    579
      WRITE(IUY,8500)                                                   FLTINT    580
      IIL=6                                                             FLTINT    581
      ENDIF                                                             FLTINT    582
      WRITE(IUY,8460) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    583
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,IADATA(K+5)             FLTINT    584
     *,IADATA(K+6),ADATA(K+8)*FQBASE,ADATA(K+9),ADATA(K+10)*ANGCON      FLTINT    585
     *,ADATA(K+11),ADATA(K+12),ADATA(K+13)*ANGCON,ADATA(K+14)           FLTINT    586
      IIL=IIL+1                                                         FLTINT    587
 1400 CONTINUE                                                          FLTINT    588
C                                                                       FLTINT    589
      IIL=60                                                            FLTINT    590
      DO 1450 I=LDCOSR,NDCOSR                                           FLTINT    591
      K=IDATPT(I)                                                       FLTINT    592
      IF(IADATA(K+1).GT.9)GOTO 1450                                     FLTINT    593
      NPROGI=IADATA(K+2)                                                FLTINT    594
      NPROGJ=IADATA(K+3)                                                FLTINT    595
      NLFI=NOLD(NPROGI)                                                 FLTINT    596
      NLFJ=NOLD(NPROGJ)                                                 FLTINT    597
      NI3=NPROGI*3                                                      FLTINT    598
      NJ3=NPROGJ*3                                                      FLTINT    599
      ICID=IADATA(K+4)                                                  FLTINT    600
      CALL UNPACK(CID,JJJ,ICID)                                         FLTINT    601
C                                                                       FLTINT    602
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT    603
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    604
C                                                                       FLTINT    605
      IF(IIL.GE.58)THEN                                                 FLTINT    606
         WRITE(IUY,8520)                                                FLTINT    607
         IIL=6                                                          FLTINT    608
      ENDIF                                                             FLTINT    609
      WRITE(IUY,8380) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3),NLFJ    FLTINT    610
     *,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,ADATA(K+15)             FLTINT    611
     *,ADATA(K+16)*FQBASE,ADATA(K+17),ADATA(K+18),ADATA(K+20)*ANGCON    FLTINT    612
     *,ADATA(K+21),ADATA(K+22),ADATA(K+23)*ANGCON                       FLTINT    613
      IIL=IIL+1                                                         FLTINT    614
 1450 CONTINUE                                                          FLTINT    615
C                                                                       FLTINT    616
1500  IF (NOCRE .EQ. 0) GOTO 1650                                       FLTINT    617
      IIL = 60                                                          FLTINT    618
      DO 1550 I = LOCRE, NOCRE                                          FLTINT    619
        K = IDATPT(I)                                                   FLTINT    620
        IF(IADATA(K+18).GT.9)GOTO 1550                                  FLTINT    621
        NPROGI = IADATA(K + 1)                                          FLTINT    622
        NPROGJ = IADATA(K + 2)                                          FLTINT    623
        NLFI = NOLD(NPROGI)                                             FLTINT    624
        NLFJ = NOLD(NPROGJ)                                             FLTINT    625
        NI3 = NPROGI * 3                                                FLTINT    626
        NJ3 = NPROGJ * 3                                                FLTINT    627
        ICID = IADATA(K + 3)                                            FLTINT    628
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    629
C                                                                       FLTINT    630
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    631
C                                                                       FLTINT    632
        IF (IIL .GE. 58) THEN                                           FLTINT    633
          WRITE (IUY, 8580)                                             FLTINT    634
          IIL = 6                                                       FLTINT    635
        ENDIF                                                           FLTINT    636
C                                                                       FLTINT    637
        WRITE (IUY, 8600) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    638
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    639
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    640
     +                    ADATA(K + 5), ADATA(K + 6) * FQBASE,          FLTINT    641
     +                    ADATA(K + 7), ADATA(K + 8) * FQBASE,          FLTINT    642
     +                    ADATA(K + 9), ADATA(K + 10) * FQBASE          FLTINT    643
        IIL = IIL + 1                                                   FLTINT    644
1550  CONTINUE                                                          FLTINT    645
C                                                                       FLTINT    646
      IIL = 60                                                          FLTINT    647
      DO 1600 I = LOCRE, NOCRE                                          FLTINT    648
        K = IDATPT(I)                                                   FLTINT    649
        IF(IADATA(K+18).GT.9)GOTO 1600                                  FLTINT    650
        NPROGI = IADATA(K + 1)                                          FLTINT    651
        NPROGJ = IADATA(K + 2)                                          FLTINT    652
        NLFI = NOLD(NPROGI)                                             FLTINT    653
        NLFJ = NOLD(NPROGJ)                                             FLTINT    654
        NI3 = NPROGI * 3                                                FLTINT    655
        NJ3 = NPROGJ * 3                                                FLTINT    656
        ICID = IADATA(K + 3)                                            FLTINT    657
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    658
C                                                                       FLTINT    659
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    660
C                                                                       FLTINT    661
        IF (IIL .GE. 58) THEN                                           FLTINT    662
          WRITE (IUY, 8620)                                             FLTINT    663
          IIL = 6                                                       FLTINT    664
        ENDIF                                                           FLTINT    665
C                                                                       FLTINT    666
        WRITE (IUY, 8640) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    667
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    668
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    669
     +                    ADATA(K + 11), ADATA(K + 12) * FQBASE,        FLTINT    670
     +                    ADATA(K + 13), ADATA(K + 14) * FQBASE,        FLTINT    671
     +                    ADATA(K + 15), ADATA(K + 16) * FQBASE,        FLTINT    672
     +                    ADATA(K + 17) * FQBASE                        FLTINT    673
        IIL = IIL + 1                                                   FLTINT    674
1600  CONTINUE                                                          FLTINT    675
C                                                                       FLTINT    676
1650  IF (NDCSI .EQ. 0) GOTO 4000                                       FLTINT    677
      IIL = 60                                                          FLTINT    678
      DO 1700 I = LDCSI, NDCSI                                          FLTINT    679
        K = IDATPT(I)                                                   FLTINT    680
        IF(IADATA(K+73).GT.9)GOTO 1700                                  FLTINT    681
        NPROGI = IADATA(K + 1)                                          FLTINT    682
        NPROGJ = IADATA(K + 2)                                          FLTINT    683
        NLFI = NOLD(NPROGI)                                             FLTINT    684
        NLFJ = NOLD(NPROGJ)                                             FLTINT    685
        NI3 = NPROGI * 3                                                FLTINT    686
        NJ3 = NPROGJ * 3                                                FLTINT    687
        ICID = IADATA(K + 3)                                            FLTINT    688
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    689
C                                                                       FLTINT    690
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    691
C                                                                       FLTINT    692
        IF (IIL .GE. 58) THEN                                           FLTINT    693
          WRITE (IUY, 8660)                                             FLTINT    694
          IIL = 6                                                       FLTINT    695
        ENDIF                                                           FLTINT    696
C                                                                       FLTINT    697
        WRITE (IUY, 8680) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    698
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    699
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    700
     +                    (IADATA(K + IK), IK = 5, 8),                  FLTINT    701
     +                    ADATA(K + 9) * FQBASE,                        FLTINT    702
     +                    (ADATA(K + IK), IK = 10, 12)                  FLTINT    703
        IIL = IIL + 1                                                   FLTINT    704
1700  CONTINUE                                                          FLTINT    705
C                                                                       FLTINT    706
      IIL = 60                                                          FLTINT    707
      DO 1750 I = LDCSI, NDCSI                                          FLTINT    708
        K = IDATPT(I)                                                   FLTINT    709
        IF(IADATA(K+73).GT.9)GOTO 1750                                  FLTINT    710
        NPROGI = IADATA(K + 1)                                          FLTINT    711
        NPROGJ = IADATA(K + 2)                                          FLTINT    712
        NLFI = NOLD(NPROGI)                                             FLTINT    713
        NLFJ = NOLD(NPROGJ)                                             FLTINT    714
        NI3 = NPROGI * 3                                                FLTINT    715
        NJ3 = NPROGJ * 3                                                FLTINT    716
        ICID = IADATA(K + 3)                                            FLTINT    717
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    718
C                                                                       FLTINT    719
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    720
C                                                                       FLTINT    721
        IF (IIL .GE. 58) THEN                                           FLTINT    722
          WRITE (IUY, 8700)                                             FLTINT    723
          IIL = 6                                                       FLTINT    724
        ENDIF                                                           FLTINT    725
C                                                                       FLTINT    726
        WRITE (IUY, 8720) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    727
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    728
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    729
     +                    ADATA(K + 13) * FQBASE,                       FLTINT    730
     +                    (ADATA(K + IK), IK = 14, 17)                  FLTINT    731
        IIL = IIL + 1                                                   FLTINT    732
1750  CONTINUE                                                          FLTINT    733
C                                                                       FLTINT    734
      IIL = 60                                                          FLTINT    735
      DO 1800 I = LDCSI, NDCSI                                          FLTINT    736
        K = IDATPT(I)                                                   FLTINT    737
        IF(IADATA(K+73).GT.9)GOTO 1800                                  FLTINT    738
        NPROGI = IADATA(K + 1)                                          FLTINT    739
        NPROGJ = IADATA(K + 2)                                          FLTINT    740
        NLFI = NOLD(NPROGI)                                             FLTINT    741
        NLFJ = NOLD(NPROGJ)                                             FLTINT    742
        NI3 = NPROGI * 3                                                FLTINT    743
        NJ3 = NPROGJ * 3                                                FLTINT    744
        ICID = IADATA(K + 3)                                            FLTINT    745
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    746
C                                                                       FLTINT    747
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    748
C                                                                       FLTINT    749
        IF (IIL .GE. 58) THEN                                           FLTINT    750
          WRITE (IUY, 8740)                                             FLTINT    751
          IIL = 6                                                       FLTINT    752
        ENDIF                                                           FLTINT    753
C                                                                       FLTINT    754
        WRITE (IUY, 8720) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    755
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    756
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    757
     +                    ADATA(K + 18) * FQBASE,                       FLTINT    758
     +                    (ADATA(K + IK), IK = 19, 22)                  FLTINT    759
        IIL = IIL + 1                                                   FLTINT    760
1800  CONTINUE                                                          FLTINT    761
C                                                                       FLTINT    762
      IIL = 60                                                          FLTINT    763
      DO 1850 I = LDCSI, NDCSI                                          FLTINT    764
        K = IDATPT(I)                                                   FLTINT    765
        IF(IADATA(K+73).GT.9)GOTO 1850                                  FLTINT    766
        NPROGI = IADATA(K + 1)                                          FLTINT    767
        NPROGJ = IADATA(K + 2)                                          FLTINT    768
        NLFI = NOLD(NPROGI)                                             FLTINT    769
        NLFJ = NOLD(NPROGJ)                                             FLTINT    770
        NI3 = NPROGI * 3                                                FLTINT    771
        NJ3 = NPROGJ * 3                                                FLTINT    772
        ICID = IADATA(K + 3)                                            FLTINT    773
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    774
C                                                                       FLTINT    775
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    776
C                                                                       FLTINT    777
        IF (IIL .GE. 58) THEN                                           FLTINT    778
          WRITE (IUY, 8760)                                             FLTINT    779
          IIL = 6                                                       FLTINT    780
        ENDIF                                                           FLTINT    781
C                                                                       FLTINT    782
        WRITE (IUY, 8780) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    783
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    784
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    785
     +                    (ADATA(K + IK), IK = 23, 28)                  FLTINT    786
        IIL = IIL + 1                                                   FLTINT    787
1850  CONTINUE                                                          FLTINT    788
C                                                                       FLTINT    789
      IIL = 60                                                          FLTINT    790
      DO 1900 I = LDCSI, NDCSI                                          FLTINT    791
        K = IDATPT(I)                                                   FLTINT    792
        IF(IADATA(K+73).GT.9)GOTO 1900                                  FLTINT    793
        IF (IADATA(K + 8) .NE. 1) GOTO 1900                             FLTINT    794
        NPROGI = IADATA(K + 1)                                          FLTINT    795
        NPROGJ = IADATA(K + 2)                                          FLTINT    796
        NLFI = NOLD(NPROGI)                                             FLTINT    797
        NLFJ = NOLD(NPROGJ)                                             FLTINT    798
        NI3 = NPROGI * 3                                                FLTINT    799
        NJ3 = NPROGJ * 3                                                FLTINT    800
        ICID = IADATA(K + 3)                                            FLTINT    801
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    802
C                                                                       FLTINT    803
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    804
C                                                                       FLTINT    805
        IF (IIL .GE. 58) THEN                                           FLTINT    806
          WRITE (IUY, 8800)                                             FLTINT    807
          IIL = 6                                                       FLTINT    808
        ENDIF                                                           FLTINT    809
C                                                                       FLTINT    810
        WRITE (IUY, 8780) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    811
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    812
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    813
     +                    (ADATA(K + IK), IK = 29, 30),                 FLTINT    814
     +                    (ADATA(K + IK)  * FQBASE, IK = 31, 34)        FLTINT    815
        IIL = IIL + 1                                                   FLTINT    816
1900  CONTINUE                                                          FLTINT    817
C                                                                       FLTINT    818
      IIL = 60                                                          FLTINT    819
      DO 1950 I = LDCSI, NDCSI                                          FLTINT    820
        K = IDATPT(I)                                                   FLTINT    821
        IF(IADATA(K+73).GT.9)GOTO 1950                                  FLTINT    822
        NPROGI = IADATA(K + 1)                                          FLTINT    823
        NPROGJ = IADATA(K + 2)                                          FLTINT    824
        NLFI = NOLD(NPROGI)                                             FLTINT    825
        NLFJ = NOLD(NPROGJ)                                             FLTINT    826
        NI3 = NPROGI * 3                                                FLTINT    827
        NJ3 = NPROGJ * 3                                                FLTINT    828
        ICID = IADATA(K + 3)                                            FLTINT    829
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT    830
C                                                                       FLTINT    831
C  PRINT RELAY DATA & ACTION RELAY TABLES                               FLTINT    832
C                                                                       FLTINT    833
        IF (IIL .GE. 58) THEN                                           FLTINT    834
          WRITE (IUY, 8820)                                             FLTINT    835
          IIL = 6                                                       FLTINT    836
        ENDIF                                                           FLTINT    837
C                                                                       FLTINT    838
        WRITE (IUY, 8780) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),         FLTINT    839
     +                    INAME(NI3), NLFJ, INAME(NJ3 - 2),             FLTINT    840
     +                    INAME(NJ3 - 1), INAME(NJ3), CID,              FLTINT    841
     +                    (ADATA(K + IK), IK = 35, 40)                  FLTINT    842
        IIL = IIL + 1                                                   FLTINT    843
1950  CONTINUE                                                          FLTINT    844
CD                                                                      FLTINT    845
CD    TO TABULATE RELAY DATA AT THE USER'S REQUEST.                     FLTINT    846
CD                                                                      FLTINT    847
 4000 CONTINUE                                                          FLTINT    848
      IIL=60                                                            FLTINT    849
      IF(NUFLTR.EQ.0) GOTO 4100                                         FLTINT    850
      CARD(1:6)='  UFLT'                                                FLTINT    851
      DO 4050 I=LUFLTR,NUFLTR                                           FLTINT    852
       K=IDATPT(I)                                                      FLTINT    853
       IF(IADATA(K+1).GT.9)GOTO 4050                                    FLTINT    854
       IDRRR=IADATA(K+6)                                                FLTINT    855
       IF(IDRRR.EQ.0) GOTO 4050                                         FLTINT    856
       NPROGI=IADATA(K+2)                                               FLTINT    857
       NPROGJ=IADATA(K+3)                                               FLTINT    858
       NLFI =NOLD(NPROGI)                                               FLTINT    859
       NLFJ =NOLD(NPROGJ)                                               FLTINT    860
       NI3=NPROGI*3                                                     FLTINT    861
       NJ3=NPROGJ*3                                                     FLTINT    862
       ICID=IADATA(K+4)                                                 FLTINT    863
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT    864
       CARD(49:52)='    '                                               FLTINT    865
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT    866
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID                FLTINT    867
       KADD=K+17                                                        FLTINT    868
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT    869
 4050 CONTINUE                                                          FLTINT    870
C                                                                       FLTINT    871
 4100 IF(NGUFRE.EQ.0) GOTO 4200                                         FLTINT    872
      CARD(1:6)='  GUFR'                                                FLTINT    873
      DO 4150 L=LGUFRE,NGUFRE                                           FLTINT    874
       K=IDATPT(L)                                                      FLTINT    875
       IF(IADATA(K+1).GT.9)GOTO 4150                                    FLTINT    876
       IDRRR=IADATA(K+6)                                                FLTINT    877
       IF(IDRRR.EQ.0) GOTO 4150                                         FLTINT    878
       NPROG=IADATA(K+3)                                                FLTINT    879
       NLF=NOLD(NPROG)                                                  FLTINT    880
       N3=NPROG*3                                                       FLTINT    881
       ICID=IADATA(K+4)                                                 FLTINT    882
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT    883
       CARD(26:52)='                           '                        FLTINT    884
       CARD(47:48)=CID                                                  FLTINT    885
       WRITE(CARD(7:52),9900) NLF,INAME(N3-2),INAME(N3-1),INAME(N3)     FLTINT    886
       KADD=K+16                                                        FLTINT    887
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT    888
 4150 CONTINUE                                                          FLTINT    889
C                                                                       FLTINT    890
 4200 IF(NDISTR.EQ.0) GOTO 4300                                         FLTINT    891
C                                                                       FLTINT    892
C NEED TO CONVERT BACK FOR PRINTING                                     FLTINT    893
C                                                                       FLTINT    894
      CARD(1:6)='  DIST'                                                FLTINT    895
      DO 4250 I=LDISTR,NDISTR                                           FLTINT    896
       K=IDATPT(I)                                                      FLTINT    897
       IF(IADATA(K+1).GT.9)GOTO 4250                                    FLTINT    898
       IDRRR=IADATA(K+7)                                                FLTINT    899
       IF(IDRRR.EQ.0) GOTO 4250                                         FLTINT    900
       NPROGI=IADATA(K+2)                                               FLTINT    901
       NPROGJ=IADATA(K+3)                                               FLTINT    902
       NLFI=NOLD(NPROGI)                                                FLTINT    903
       NLFJ=NOLD(NPROGJ)                                                FLTINT    904
       NI3=NPROGI*3                                                     FLTINT    905
       NJ3=NPROGJ*3                                                     FLTINT    906
       ICID=IADATA(K+4)                                                 FLTINT    907
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT    908
       CARD(49:52)='    '                                               FLTINT    909
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT    910
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID                FLTINT    911
       KADD=K+27                                                        FLTINT    912
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT    913
 4250 CONTINUE                                                          FLTINT    914
C                                                                       FLTINT    915
 4300 IF(NVDLDR.EQ.0) GOTO 4400                                         FLTINT    916
      CARD(1:6)='  VDLD'                                                FLTINT    917
      DO 4350 J=LVDLDR,NVDLDR                                           FLTINT    918
       K=IDATPT(J)                                                      FLTINT    919
       IF(IADATA(K+1).GT.9)GOTO 4350                                    FLTINT    920
       IDRRR=IADATA(K+5)                                                FLTINT    921
       IF(IDRRR.EQ.0) GOTO 4350                                         FLTINT    922
       NPROG=IADATA(K+2)                                                FLTINT    923
       NLF=NOLD(NPROG)                                                  FLTINT    924
       N3=NPROG*3                                                       FLTINT    925
       CARD(26:52)='                           '                        FLTINT    926
       WRITE(CARD(7:52),9900) NLF,INAME(N3-2),INAME(N3-1),INAME(N3)     FLTINT    927
       KADD=K+14                                                        FLTINT    928
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT    929
 4350 CONTINUE                                                          FLTINT    930
C                                                                       FLTINT    931
 4400 IF(NSCGRE.EQ.0) GOTO 4500                                         FLTINT    932
      CARD(1:6)='  SCGR'                                                FLTINT    933
      DO 4450 I=LSCGRE,NSCGRE                                           FLTINT    934
       K=IDATPT(I)                                                      FLTINT    935
       IF(IADATA(K+1).GT.9)GOTO 4450                                    FLTINT    936
       IDRRR=IADATA(K+15)                                               FLTINT    937
       IF(IDRRR.EQ.0) GOTO 4450                                         FLTINT    938
       NPROGI=IADATA(K+2)                                               FLTINT    939
       NPROGJ=IADATA(K+3)                                               FLTINT    940
       NLFI=NOLD(NPROGI)                                                FLTINT    941
       NLFJ=NOLD(NPROGJ)                                                FLTINT    942
       NI3=NPROGI*3                                                     FLTINT    943
       NJ3=NPROGJ*3                                                     FLTINT    944
       ICID=IADATA(K+4)                                                 FLTINT    945
       ISID=IADATA(K+5)                                                 FLTINT    946
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT    947
       CALL UNPACK(SID,JJJ,ISID)                                        FLTINT    948
C                                                                       FLTINT    949
C   CODE TO BE ADDED TO PRINT RELAY DATA & ACTION RELAY TABLES          FLTINT    950
C   REMOTE TRIP BY THIS RELAY                                           FLTINT    951
C                                                                       FLTINT    952
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT    953
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,SID            FLTINT    954
       KADD=K+34                                                        FLTINT    955
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT    956
 4450 CONTINUE                                                          FLTINT    957
C                                                                       FLTINT    958
 4500 IF(NUFREQ.EQ.0) GOTO 4600                                         FLTINT    959
      CARD(1:6)='  UFLS'                                                FLTINT    960
      DO 4550 J=LUFREQ,NUFREQ                                           FLTINT    961
       K=IDATPT(J)                                                      FLTINT    962
       IF(IADATA(K+3).GT.9)GOTO 4550                                    FLTINT    963
       IDRRR=IADATA(K+4)                                                FLTINT    964
       IF(IDRRR.EQ.0) GOTO 4550                                         FLTINT    965
       NPROG=IADATA(K+1)                                                FLTINT    966
       NLF=NOLD(NPROG)                                                  FLTINT    967
       N3=NPROG*3                                                       FLTINT    968
       CARD(26:52)='                           '                        FLTINT    969
       WRITE(CARD(7:25),9900) NLF,INAME(N3-2),INAME(N3-1),INAME(N3)     FLTINT    970
       KADD=K+26                                                        FLTINT    971
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT    972
 4550 CONTINUE                                                          FLTINT    973
C                                                                       FLTINT    974
C   PRINT LOAD SHEDDING SCHEME DATA                                     FLTINT    975
C                                                                       FLTINT    976
 4600 IF(NUFVDB.EQ.0) GOTO 4700                                         FLTINT    977
      CARD(1:6)='  UFVD'                                                FLTINT    978
      DO 4650 I=LUFVDB,NUFVDB                                           FLTINT    979
       K=IDATPT(I)-1                                                    FLTINT    980
       IF(IADATA(K+8).GT.9)GOTO 4650                                    FLTINT    981
       IDRRR=IADATA(K+9)                                                FLTINT    982
       IF(IDRRR.EQ.0) GOTO 4650                                         FLTINT    983
       NSCHEM=IADATA(K+1)                                               FLTINT    984
       NPROG=IADATA(K+2)                                                FLTINT    985
       NLF=NOLD(NPROG)                                                  FLTINT    986
       N3=NPROG*3                                                       FLTINT    987
       CARD(26:52)='                           '                        FLTINT    988
       WRITE(CARD(7:25),9900) NLF,INAME(N3-2),INAME(N3-1),INAME(N3)     FLTINT    989
       K=K+9                                                            FLTINT    990
C                                                                       FLTINT    991
C    FOR NSCHEME                                                        FLTINT    992
C                                                                       FLTINT    993
       DO 4655 J=1,NSCHEM                                               FLTINT    994
        K=K+4+6*IADATA(K+2)                                             FLTINT    995
        CALL REMPRT(K,IDRRR,IUY,CARD,IIL)                               FLTINT    996
 4655 CONTINUE                                                          FLTINT    997
 4650 CONTINUE                                                          FLTINT    998
C                                                                       FLTINT    999
 4700 IF(NRCPRA.EQ.0) GOTO 4800                                         FLTINT   1000
      CARD(1:6)='  RCPR'                                                FLTINT   1001
      DO 4750 I=LRCPRA,NRCPRA                                           FLTINT   1002
       K=IDATPT(I)                                                      FLTINT   1003
       IF(IADATA(K+1).GT.9)GOTO 4750                                    FLTINT   1004
       IDRRR=IADATA(K+7)                                                FLTINT   1005
       IF(IDRRR.EQ.0) GOTO 4750                                         FLTINT   1006
       NPROGI=IADATA(K+2)                                               FLTINT   1007
       NPROGJ=IADATA(K+3)                                               FLTINT   1008
       NLFI=NOLD(NPROGI)                                                FLTINT   1009
       NLFJ=NOLD(NPROGJ)                                                FLTINT   1010
       NI3=NPROGI*3                                                     FLTINT   1011
       NJ3=NPROGJ*3                                                     FLTINT   1012
       ICID=IADATA(K+4)                                                 FLTINT   1013
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT   1014
       ITYPE=IADATA(K+5)                                                FLTINT   1015
       IF(ITYPE.EQ.5)ISCKT=R1                                           FLTINT   1016
       IF(ITYPE.EQ.6)ISCKT=R2                                           FLTINT   1017
       IF(ITYPE.EQ.7)ISCKT=R3                                           FLTINT   1018
C                                                                       FLTINT   1019
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT   1020
C   REMOTE TRIP BY THIS RELAY                                           FLTINT   1021
C                                                                       FLTINT   1022
       WRITE(CARD(7:25),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT   1023
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID,ISCKT          FLTINT   1024
       KADD=K+32                                                        FLTINT   1025
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT   1026
 4750 CONTINUE                                                          FLTINT   1027
C                                                                       FLTINT   1028
 4800 IF(NDPDA.EQ.0) GOTO 4900                                          FLTINT   1029
      CARD(1:6)='  DPDA'                                                FLTINT   1030
      DO 4850 I=LDPDA,NDPDA                                             FLTINT   1031
       K=IDATPT(I)                                                      FLTINT   1032
       IF(IADATA(K+1).GT.9)GOTO 4850                                    FLTINT   1033
       IDRRR=IADATA(K+7)                                                FLTINT   1034
       IF(IDRRR.EQ.0) GOTO 4850                                         FLTINT   1035
       NPROGI=IADATA(K+2)                                               FLTINT   1036
       NPROGJ=IADATA(K+3)                                               FLTINT   1037
       NLFI=NOLD(NPROGI)                                                FLTINT   1038
       NLFJ=NOLD(NPROGJ)                                                FLTINT   1039
       NI3=NPROGI*3                                                     FLTINT   1040
       NJ3=NPROGJ*3                                                     FLTINT   1041
       ICID=IADATA(K+4)                                                 FLTINT   1042
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT   1043
C                                                                       FLTINT   1044
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT   1045
C   REMOTE TRIP BY THIS RELAY                                           FLTINT   1046
C                                                                       FLTINT   1047
       CARD(49:52)='    '                                               FLTINT   1048
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT   1049
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID                FLTINT   1050
       KADD=K+36                                                        FLTINT   1051
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT   1052
 4850 CONTINUE                                                          FLTINT   1053
C                                                                       FLTINT   1054
 4900 IF(NDLSO.EQ.0) GOTO 5000                                          FLTINT   1055
      CARD(1:6)='  DLSO'                                                FLTINT   1056
      DO 4950 I=LDLSO,NDLSO                                             FLTINT   1057
       K=IDATPT(I)                                                      FLTINT   1058
       IF(IADATA(K+1).GT.9)GOTO 4950                                    FLTINT   1059
       IDRRR=IADATA(K+7)                                                FLTINT   1060
       IF(IDRRR.EQ.0) GOTO 4950                                         FLTINT   1061
       NPROGI=IADATA(K+2)                                               FLTINT   1062
       NPROGJ=IADATA(K+3)                                               FLTINT   1063
       NLFI=NOLD(NPROGI)                                                FLTINT   1064
       NLFJ=NOLD(NPROGJ)                                                FLTINT   1065
       NI3=NPROGI*3                                                     FLTINT   1066
       NJ3=NPROGJ*3                                                     FLTINT   1067
       ICID=IADATA(K+4)                                                 FLTINT   1068
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT   1069
C                                                                       FLTINT   1070
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT   1071
C   REMOTE TRIP BY THIS RELAY                                           FLTINT   1072
C                                                                       FLTINT   1073
       CARD(49:52)='    '                                               FLTINT   1074
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT   1075
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID                FLTINT   1076
       KADD=K+22                                                        FLTINT   1077
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT   1078
 4950 CONTINUE                                                          FLTINT   1079
C                                                                       FLTINT   1080
 5000 IF(NSLBOR.EQ.0) GOTO 5100                                         FLTINT   1081
      CARD(1:6)='  SLBO'                                                FLTINT   1082
      DO 5050 I=LSLBOR,NSLBOR                                           FLTINT   1083
       K=IDATPT(I)                                                      FLTINT   1084
       IF(IADATA(K+1).GT.9)GOTO 5050                                    FLTINT   1085
       IDRRR=IADATA(K+7)                                                FLTINT   1086
       IF(IDRRR.EQ.0) GOTO 5050                                         FLTINT   1087
       NPROGI=IADATA(K+2)                                               FLTINT   1088
       NPROGJ=IADATA(K+3)                                               FLTINT   1089
       NLFI=NOLD(NPROGI)                                                FLTINT   1090
       NLFJ=NOLD(NPROGJ)                                                FLTINT   1091
       NI3=NPROGI*3                                                     FLTINT   1092
       NJ3=NPROGJ*3                                                     FLTINT   1093
       ICID=IADATA(K+4)                                                 FLTINT   1094
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT   1095
C                                                                       FLTINT   1096
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT   1097
C   REMOTE TRIP BY THIS RELAY                                           FLTINT   1098
C                                                                       FLTINT   1099
       CARD(49:52)='    '                                               FLTINT   1100
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT   1101
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID                FLTINT   1102
       KADD=K+36                                                        FLTINT   1103
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT   1104
 5050 CONTINUE                                                          FLTINT   1105
C                                                                       FLTINT   1106
 5100 IF(NDCOSR.EQ.0) GOTO 5200                                         FLTINT   1107
      CARD(1:6)='  DSOR'                                                FLTINT   1108
      DO 5150 I=LDCOSR,NDCOSR                                           FLTINT   1109
       K=IDATPT(I)                                                      FLTINT   1110
       IF(IADATA(K+1).GT.9)GOTO 5150                                    FLTINT   1111
       IDRRR=IADATA(K+7)                                                FLTINT   1112
       IF(IDRRR.EQ.0) GOTO 5150                                         FLTINT   1113
       NPROGI=IADATA(K+2)                                               FLTINT   1114
       NPROGJ=IADATA(K+3)                                               FLTINT   1115
       NLFI=NOLD(NPROGI)                                                FLTINT   1116
       NLFJ=NOLD(NPROGJ)                                                FLTINT   1117
       NI3=NPROGI*3                                                     FLTINT   1118
       NJ3=NPROGJ*3                                                     FLTINT   1119
       ICID=IADATA(K+4)                                                 FLTINT   1120
       CALL UNPACK(CID,JJJ,ICID)                                        FLTINT   1121
C                                                                       FLTINT   1122
C   PRINT RELAY DATA & ACTION RELAY TABLES                              FLTINT   1123
C   REMOTE TRIP BY THIS RELAY                                           FLTINT   1124
C                                                                       FLTINT   1125
       CARD(49:52)='    '                                               FLTINT   1126
       WRITE(CARD(7:52),9900) NLFI,INAME(NI3-2),INAME(NI3-1),INAME(NI3) FLTINT   1127
     *    ,NLFJ,INAME(NJ3-2),INAME(NJ3-1),INAME(NJ3),CID                FLTINT   1128
       KADD=K+36                                                        FLTINT   1129
       CALL REMPRT(KADD,IDRRR,IUY,CARD,IIL)                             FLTINT   1130
 5150 CONTINUE                                                          FLTINT   1131
C                                                                       FLTINT   1132
5200  IF (NOCRE .EQ. 0) GOTO 5300                                       FLTINT   1133
      CARD(1:6) = '  OCRE'                                              FLTINT   1134
      DO 5250 I = LOCRE, NOCRE                                          FLTINT   1135
        K = IDATPT(I)                                                   FLTINT   1136
        IF(IADATA(K+18).GT.9)GOTO 5250                                  FLTINT   1137
        IDRRR = IADATA(K + 4)                                           FLTINT   1138
        IF (IDRRR .EQ. 0) GOTO 5250                                     FLTINT   1139
        NPROGI = IADATA(K + 1)                                          FLTINT   1140
        NPROGJ = IADATA(K + 2)                                          FLTINT   1141
        NLFI = NOLD(NPROGI)                                             FLTINT   1142
        NLFJ = NOLD(NPROGJ)                                             FLTINT   1143
        NI3 = NPROGI * 3                                                FLTINT   1144
        NJ3 = NPROGJ * 3                                                FLTINT   1145
        ICID = IADATA(K + 3)                                            FLTINT   1146
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT   1147
C                                                                       FLTINT   1148
C  PRINT REMOTE TRIP DATA FOR THIS RELAY                                FLTINT   1149
C                                                                       FLTINT   1150
        CARD(49:52) = ' '                                               FLTINT   1151
        WRITE (CARD(7:52), 9900) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),  FLTINT   1152
     +                           INAME(NI3), NLFJ, INAME(NJ3 - 2),      FLTINT   1153
     +                           INAME(NJ3 - 1), INAME(NJ3), CID        FLTINT   1154
        KADD = K + 28                                                   FLTINT   1155
        CALL REMPRT (KADD, IDRRR, IUY, CARD, IIL)                       FLTINT   1156
5250  CONTINUE                                                          FLTINT   1157
C                                                                       FLTINT   1158
5300  IF (NDCSI .EQ. 0) RETURN                                          FLTINT   1159
      CARD(1:6) = '  DCSI'                                              FLTINT   1160
      DO 5350 I = LDCSI, NDCSI                                          FLTINT   1161
        K = IDATPT(I)                                                   FLTINT   1162
        IF(IADATA(K+73).GT.9)GOTO 5350                                  FLTINT   1163
        IDRRR = IADATA(K + 4)                                           FLTINT   1164
        IF (IDRRR .EQ. 0) GOTO 5350                                     FLTINT   1165
        NPROGI = IADATA(K + 1)                                          FLTINT   1166
        NPROGJ = IADATA(K + 2)                                          FLTINT   1167
        NLFI = NOLD(NPROGI)                                             FLTINT   1168
        NLFJ = NOLD(NPROGJ)                                             FLTINT   1169
        NI3 = NPROGI * 3                                                FLTINT   1170
        NJ3 = NPROGJ * 3                                                FLTINT   1171
        ICID = IADATA(K + 3)                                            FLTINT   1172
        CALL UNPACK(CID,JJJ,ICID)                                       FLTINT   1173
C                                                                       FLTINT   1174
C  PRINT REMOTE TRIP DATA FOR THIS RELAY                                FLTINT   1175
C                                                                       FLTINT   1176
        CARD(49:52) = ' '                                               FLTINT   1177
        WRITE (CARD(7:52), 9900) NLFI, INAME(NI3 - 2), INAME(NI3 - 1),  FLTINT   1178
     +                           INAME(NI3), NLFJ, INAME(NJ3 - 2),      FLTINT   1179
     +                           INAME(NJ3 - 1), INAME(NJ3), CID        FLTINT   1180
        KADD = K + 73                                                   FLTINT   1181
        CALL REMPRT (KADD, IDRRR, IUY, CARD, IIL)                       FLTINT   1182
5350  CONTINUE                                                          FLTINT   1183
C                                                                       FLTINT   1184
      RETURN                                                            FLTINT   1185
C                                                                       FLTINT   1186
 8000 FORMAT(1H1,14X,'UNDER FREQUENCY LINE TRIP RELAY DATA'             FLTINT   1187
     *,/,15X,'------------------------------------',//                  FLTINT   1188
     *,'  BUS#  STATION NAME  BUS#  STATION NAME  CID'                  FLTINT   1189
     *,7X,'FTRIP    TRELAY      TRIP    TRCLSE',/                       FLTINT   1190
     *,'  ----  ------------  ----  ------------  ---'                  FLTINT   1191
     *,7X,'-----    ------    ------    ------')                        FLTINT   1192
 8020 FORMAT(I6,2X,3A4,I6,2X,3A4,3X,A2,2X,4F10.4)                       FLTINT   1193
 8040 FORMAT(1H1,19X,'GENERATOR UNDERFREQUENCY RELAY'                   FLTINT   1194
     *,/,20X,'------------------------------',//                        FLTINT   1195
     *,'   BUS# STATION NAME  GID  FREQ1  TRELAY   FREQ2     PCB',/     FLTINT   1196
     *,'   ---- ------------  ---  -----  ------   -----     ---')      FLTINT   1197
 8060 FORMAT(I7,1X,3A4,1X,A2,2X,4F8.4)                                  FLTINT   1198
 8080 FORMAT(1H1,16X,'DISTANCE/DEFAULT DISTANCE RELAY DATA'             FLTINT   1199
     *,/,17X,'------------------------------------',//,45X              FLTINT   1200
     *,'  ROVX / UREACH/ OREACH/ TANGLE/ BANGLE/',/                     FLTINT   1201
     *,'  BUS# STATION NAME BUS# STATION NAME CID OPT'                  FLTINT   1202
     *,'  TCENTR  TANGLE   TDIAM   TTRIP  BCENTR'                       FLTINT   1203
     *,'  BANGLE   BDIAG   BTRIP   TRCLSE',/                            FLTINT   1204
     *,'  ---- ------------ ---- ------------ --- ---'                  FLTINT   1205
     *,'  ------  ------   -----   -----  ------'                       FLTINT   1206
     *,'  ------   -----   -----   ------')                             FLTINT   1207
 8100 FORMAT(I6,1X,3A4,I5,1X,3A4,2X,A2,2X,I2,9F8.2)                     FLTINT   1208
 8120 FORMAT(1H1,30X,'VOLTAGE DIFFERENCE LOAD DROPPING RELAY DATA',/    FLTINT   1209
     *,31X,'-------------------------------------------',//             FLTINT   1210
     *,'   BUS# STATION NAME ISHUNT      VDIFF       TDELAY'            FLTINT   1211
     *,'      PDROP %      QDROP %       PCBDLY',/                      FLTINT   1212
     *,'   ---- ------------ ------      -----       ------'            FLTINT   1213
     *,'      -------      -------       ------')                       FLTINT   1214
 8140 FORMAT(I7,1X,3A4,I5,5(F13.4))                                     FLTINT   1215
 8160 FORMAT(1H1,19X,'SERIES CAPACITOR GAP RELAY DATA'                  FLTINT   1216
     *,/,20X,'-------------------------------',//                       FLTINT   1217
     *,'  BUS#  STATION NAME  BUS#  STATION NAME  CID  SID'             FLTINT   1218
     *,'     GPFRG   RINTCRG    RETDRG    PERMRG     TTRPG  NRECRG',/   FLTINT   1219
     *,'  ----  ------------  ----  ------------  ---  ---'             FLTINT   1220
     *,'     -----   -------    ------    ------     -----  ------')    FLTINT   1221
 8180 FORMAT(I6,2X,3A4,I6,2X,3A4,2(3X,A2),5F10.4,I7)                    FLTINT   1222
 8200 FORMAT(1H1,19X,'UNDERFREQUENCY LOAD SHEDDING'                     FLTINT   1223
     *,' RELAY CF-1 SCHEME',/,20X,46('-'),//                            FLTINT   1224
     *,48X,'CONST. Z       CONST. CURR'                                 FLTINT   1225
     *,'     CONST. MVA     VOLTAGE EXP.',/                             FLTINT   1226
     *,48X,'--------       -----------'                                 FLTINT   1227
     *,'     ----------     ------------',/                             FLTINT   1228
     *,'   BUS# STATION NAME    FREQ  TLEVER'                           FLTINT   1229
     *,'     PCB',4(6X,'%P',6X,'%Q'),/                                  FLTINT   1230
     *,'   ---- ------------  ------  ------'                           FLTINT   1231
     *,'  ------',8(2X,'------'))                                       FLTINT   1232
 8220 FORMAT(I7,1X,3A4,11F8.4)                                          FLTINT   1233
 8240 FORMAT(1H1,51X,'LOAD SHEDDING/RESTORATION DATA',/,52X,30('-')     FLTINT   1234
     *,//,34X,'LEVEL 1',14X,'LEVEL 2',14X,'LEVEL 3',14X,'LEVEL 4',14X   FLTINT   1235
     *,'LEVEL 5',/,27X,5(1X,20('-')),/,' BUS# STATION NAME TYPE OPT'    FLTINT   1236
     *,5(' FR/V    TD PCB SH/RE'),/,' ---- ------------ ---- ---'       FLTINT   1237
     *,5(' ---- ----- --- -----'))                                      FLTINT   1238
 8260 FORMAT(I5,1X,3A4,2X,A2,I4,1X,5(F5.2,F6.1,F4.1,F6.1))              FLTINT   1239
 8280 FORMAT(1H1,19X,'RATE OF CHANGE OF POWER RELAY DATA'               FLTINT   1240
     *,/,20X,'----------------------------------',//                    FLTINT   1241
     *,60X,'RB/   RMAX/',36X,'TD/',/                                    FLTINT   1242
     *,' FRBUS  STATION NAME TOBUS  STATION NAME  CID  TYPE    RMAX'    FLTINT   1243
     *,'    RMIN    RSET    BIAS  PLEVEL  TCONST     TE     TH  '       FLTINT   1244
     *,'TTRAN TRCLSE',/                                                 FLTINT   1245
     *,' -----  ------------ -----  ------------  ---  ----  ------'    FLTINT   1246
     *,'  ------  ------  ------  ------  ------   ----   ----  '       FLTINT   1247
     *,'----- ------')                                                  FLTINT   1248
 8300 FORMAT(I6,2X,3A4,I6,2X,3A4,3X,A2,3X,A2,1X,5F8.2,F8.3,4F7.2)       FLTINT   1249
 8320 FORMAT(1H1,26X,'POWER ANGLE RELAY DATA'                           FLTINT   1250
     *,/,27X,'----------------------',//                                FLTINT   1251
     *,'  FROM               TO                     ANGUE',/            FLTINT   1252
     *,'  -----------------  -----------------      -----------------',/FLTINT   1253
     *,'  BUS# STATION NAME  BUS# STATION NAME CID  BUS# STATION NAME'  FLTINT   1254
     *,' IFLAG     CLX    DPSX    DPTX    DATX     ATX',/               FLTINT   1255
     *,'  ---- ------------  ---- ------------ ---  ---- ------------'  FLTINT   1256
     *,' ----- ------- ------- ------- ------- -------')                FLTINT   1257
 8340 FORMAT(2(I6,1X,3A4),2X,A2,I6,1X,3A4,I5,1X,5F8.2)                  FLTINT   1258
 8360 FORMAT(1H1,20X,'POWER ANGLE RELAY DATA (CONTINUE)',/,21X,33('-')  FLTINT   1259
     *,//,' FRBUS STATION NAME TOBUS STATION NAME CID'                  FLTINT   1260
     *,'     CLY    DPSY    DPTY    DATY     ATY     TBT     TBR',/     FLTINT   1261
     *,' ----- ------------ ----- ------------ ---'                     FLTINT   1262
     *,' ------- ------- ------- ------- ------- ------- -------')      FLTINT   1263
 8380 FORMAT(2(I6,1X,3A4),2X,A2,8F8.2)                                  FLTINT   1264
 8400 FORMAT(1H1,20X,'DOUBLE LENS SHAPE OUT-OF-STEP RELAY DATA',/       FLTINT   1265
     *,21X,40('-'),//                                                   FLTINT   1266
     *,' FRBUS STATION NAME TOBUS STATION NAME CID IFLAG'               FLTINT   1267
     *,'      RA      FR      RR     ICS     OCS    TMIN     TBR',/     FLTINT   1268
     *,' ----- ------------ ----- ------------ --- -----'               FLTINT   1269
     *,' ------- ------- ------- ------- ------- ------- -------')      FLTINT   1270
 8420 FORMAT(2(I6,1X,3A4),2X,A2,I6,7F8.2)                               FLTINT   1271
 8440 FORMAT(1H1,20X,'STRAIGHT LINE BLINDER OUT-OF-STEP RELAY DATA',/   FLTINT   1272
     *,21X,44('-'),//                                                   FLTINT   1273
     *,' FRBUS STATION NAME TOBUS STATION NAME CID IFLAG BTYPE'         FLTINT   1274
     *,'     TIZ      A1      L1      L2      A2      L3      L4',/     FLTINT   1275
     *,' ----- ------------ ----- ------------ --- ----- -----'         FLTINT   1276
     *,' ------- ------- ------- ------- ------- ------- -------')      FLTINT   1277
 8460 FORMAT(2(I6,1X,3A4),2X,A2,2I6,7F8.2)                              FLTINT   1278
 8480 FORMAT(1H1,20X,'STRAIGHT LINE BLINDER OUT-OF-STEP RELAY DATA'     FLTINT   1279
     *,' (CONTINUE)',/,21X,55('-'),//                                   FLTINT   1280
     *,' FRBUS STATION NAME TOBUS STATION NAME CID     CTH'             FLTINT   1281
     *,'     TST  BTYPE1     BI1    ABI1  BTYPE2     BI2    ABT2',/     FLTINT   1282
     *,' ----- ------------ ----- ------------ --- -------'             FLTINT   1283
     *,' ------- ------- ------- ------- ------- ------- -------')      FLTINT   1284
 8500 FORMAT(1H1,20X,'DOUBLE CIRCLE OR LENS OUT-OF-STEP RELAY DATA',/   FLTINT   1285
     *,21X,44('-'),//                                                   FLTINT   1286
     *,' FRBUS STATION NAME TOBUS STATION NAME CID IFLAG BTYPE'         FLTINT   1287
     *,'     TIZ      D1      A1      C1      D2      A2      C2',/     FLTINT   1288
     *,' ----- ------------ ----- ------------ --- ----- -----'         FLTINT   1289
     *,' ------- ------- ------- ------- ------- ------- -------')      FLTINT   1290
 8520 FORMAT(1H1,20X,'DOUBLE CIRCLE OR LENS OUT-OF-STEP RELAY DATA'     FLTINT   1291
     *,' (CONTINUE)',/,21X,55('-'),//                                   FLTINT   1292
     *,' FRBUS STATION NAME TOBUS STATION NAME CID     CTH'             FLTINT   1293
     *,'     TST  BTYPE1     BI1    ABI1  BTYPE2     BI2    ABT2',/     FLTINT   1294
     *,' ----- ------------ ----- ------------ --- -------'             FLTINT   1295
     *,' ------- ------- ------- ------- ------- ------- -------')      FLTINT   1296
 8540 FORMAT(' *** ERROR LINE BETWEEN BUSES',I6,1X,3A4)                 FLTINT   1297
 8560 FORMAT(I10,1X,3A4,' CANNOT BE FOUND')                             FLTINT   1298
C                                                                       FLTINT   1299
8580  FORMAT (1H1, 47X, 'OVERCURRENT RELAY DATA', /,                    FLTINT   1300
     +        47X, '----------------------', //,                        FLTINT   1301
     + ' FRBUS STATION NAME TOBUS STATION NAME CID    ITHR    ',        FLTINT   1302
     + '   TRST       IFST       TFST       ISCD       TSCD', /,        FLTINT   1303
     + ' ----- ------------ ----- ------------ --- ---------- ',        FLTINT   1304
     + '---------- ---------- ---------- ---------- ----------')        FLTINT   1305
8600  FORMAT (2(I6, 1X, 3A4), 1X, A2, 1X, 6(1X, F10.5))                 FLTINT   1306
8620  FORMAT (1H1, 42X, 'OVERCURRENT RELAY DATA (CONTINUED)', /,        FLTINT   1307
     +        42X, '----------------------------------', //,            FLTINT   1308
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1309
     +        '   ITRD       TTRD       IFOR       TFOR    ',           FLTINT   1310
     +        '   ISAT       TSAT       TBRK', /,                       FLTINT   1311
     +        ' ----- ------------ ----- ------------ --- ',            FLTINT   1312
     +        '---------- ---------- ---------- ---------- ',           FLTINT   1313
     +        '---------- ---------- ----------')                       FLTINT   1314
8640  FORMAT (2(I6, 1X, 3A4), 1X, A2, 1X, 7(1X, F10.5))                 FLTINT   1315
C                                                                       FLTINT   1316
8660  FORMAT (1H1, 25X, 'DIRECTIONAL COMPARISON SUPERVISORY ',          FLTINT   1317
     +        'OVERCURRENT RELAY DATA', /, 25X, '-----------',          FLTINT   1318
     +        '----------------------------------------------', //,     FLTINT   1319
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1320
     +        ' OIS1  OIS2 OSTBL SPTFL    Z1PU      Z1DIA    ',         FLTINT   1321
     +        '  Z1CLA      Z1CDS', /,                                  FLTINT   1322
     +        ' ----- ------------ ----- ------------ --- ',            FLTINT   1323
     +        '----- ----- ----- ----- ---------- ---------- ',         FLTINT   1324
     +        '---------- ----------')                                  FLTINT   1325
8680  FORMAT (2(I6, 1X, 3A4), 1X, A2, 1X, 4(1X, I5), 4(1X, F10.5))      FLTINT   1326
8700  FORMAT (1H1, 14X, 'DIRECTIONAL COMPARISON SUPERVISORY ',          FLTINT   1327
     +        'OVERCURRENT RELAY DATA (CONTINUED)',                     FLTINT   1328
     +        /, 14X, '-----------------------',                        FLTINT   1329
     +        '----------------------------------------------', //,     FLTINT   1330
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1331
     +        '  Z2PU1      Z2FR1      Z2RR1      Z2CLA1   ',           FLTINT   1332
     +        '  Z2DIA1', /,                                            FLTINT   1333
     +        '---------- ---------- ---------- ---------- ',           FLTINT   1334
     +        '----------')                                             FLTINT   1335
8720  FORMAT (2(I6, 1X, 3A4), 1X, A2, 1X, 5(1X, F10.5))                 FLTINT   1336
8740  FORMAT (1H1, 14X, 'DIRECTIONAL COMPARISON SUPERVISORY ',          FLTINT   1337
     +        'OVERCURRENT RELAY DATA (CONTINUED)',                     FLTINT   1338
     +        /, 14X, '-----------------------',                        FLTINT   1339
     +        '----------------------------------------------', //,     FLTINT   1340
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1341
     +        '  Z2PU2      Z2FR2      Z2RR2      Z2CLA2   ',           FLTINT   1342
     +        '  Z2DIA2', /,                                            FLTINT   1343
     +        '---------- ---------- ---------- ---------- ',           FLTINT   1344
     +        '----------')                                             FLTINT   1345
8760  FORMAT (1H1, 19X, 'DIRECTIONAL COMPARISON SUPERVISORY ',          FLTINT   1346
     +        'OVERCURRENT RELAY DATA (CONTINUED)',                     FLTINT   1347
     +        /, 19X, '-----------------------',                        FLTINT   1348
     +        '----------------------------------------------', //,     FLTINT   1349
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1350
     +        '  Z4DIA1     Z4CLA1     Z4CDS1     Z4DIA2   ',           FLTINT   1351
     +        '  Z4CLA2     Z4CDS2', /,                                 FLTINT   1352
     +        '---------- ---------- ---------- ---------- ',           FLTINT   1353
     +        '---------- ----------')                                  FLTINT   1354
8780  FORMAT (2(I6, 1X, 3A4), 1X, A2, 1X, 6(1X, F10.5))                 FLTINT   1355
8800  FORMAT (1H1, 19X, 'DIRECTIONAL COMPARISON SUPERVISORY ',          FLTINT   1356
     +        'OVERCURRENT RELAY DATA (CONTINUED)',                     FLTINT   1357
     +        /, 19X, '-----------------------',                        FLTINT   1358
     +        '----------------------------------------------', //,     FLTINT   1359
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1360
     +        '    R          X          G1         B1     ',           FLTINT   1361
     +        '    G2         B2', /,                                   FLTINT   1362
     +        '---------- ---------- ---------- ---------- ',           FLTINT   1363
     +        '---------- ----------')                                  FLTINT   1364
8820  FORMAT (1H1, 19X, 'DIRECTIONAL COMPARISON SUPERVISORY ',          FLTINT   1365
     +        'OVERCURRENT RELAY DATA (CONTINUED)',                     FLTINT   1366
     +        /, 19X, '-----------------------',                        FLTINT   1367
     +        '----------------------------------------------', //,     FLTINT   1368
     +        ' FRBUS STATION NAME TOBUS STATION NAME CID ',            FLTINT   1369
     +        '   SIL1      SIL2       ZTT1        ZTT2    ',           FLTINT   1370
     +        '   BRKT      RCLST', /,                                  FLTINT   1371
     +        '---------- ---------- ---------- ---------- ',           FLTINT   1372
     +        '---------- ----------')                                  FLTINT   1373
C                                                                       FLTINT   1374
 9900 FORMAT(2(I6,1X,3A4),2X,2A,2X,2A)                                  FLTINT   1375
C                                                                       FLTINT   1376
      END                                                               FLTINT   1377
